\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.3 - Geometric Object Generators

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members
CGAL::Random_convex_set_traits_2< Kernel > Class Template Reference

`#include <CGAL/Random_convex_set_traits_2.h>`

## Definition

The class `Random_convex_set_traits_2` serves as a traits class for the function `random_convex_set_2()`.

Is Model Of:
  `RandomConvexSetTraits_2`

## Types
typedef Kernel::Point_2 | Point_2
typedef Kernel::FT | FT
typedef unspecified_type | Sum
| function object class derived from `std::binary_function<Point_2, Point_2, Point_2>` More...
typedef unspecified_type | Scale
| function object class derived from `std::binary_function<Point_2, Point_2, Point_2>`
typedef unspecified_type | Max_coordinate
| function object class derived from `std::unary_function<Point_2, FT>`
typedef unspecified_type | Angle_less
| function object class derived from `std::binary_function<Point_2, Point_2, bool>`

## Creation
| Random_convex_set_traits_2 ()
| default constructor

## Operations
Point_2 | origin () const
| returns CGAL::ORIGIN.

## Member Typedef Documentation

template<typename Kernel >

typedef unspecified_type CGAL::Random_convex_set_traits_2< Kernel >::Sum

function object class derived from `std::binary_function<Point_2, Point_2, Point_2>`